# DNS

DNS (Domain Name System) est un protocole d'annuaire. Il utilises deux ports :
 * Le port 53 en UDP pour la plupart des échanges.
 * Le port 53 en TCP pour les échanges de grande taille (tels que du transfert de zone).

DNS sert principalement à traduire les noms de domaines en adresse IP.

C'est est un service hierarchisé dont le sommet est appelé la racine, et est représentée par un point (`.`). Chaque nom de domaine est découpé en plusieurs sous parties :

Par exemple `zamok.crans.org` est un sous-domaine de `crans.org` lui-même sous-domaine de `org` qui est un sous-domaine de `.` (la racine).

Il existe plusieurs types de serveurs DNS :
 * Les serveurs Autoritaires, qui s'occupent de garder à jour le gros dictionnaire de la zone qu'ils gouvernent (par exemple `crans.org`, `crans.eu` ou `crans.fr`)
 * Les serveurs Récursifs, qui s'occupent de faire des requêtes successives pour obtenir la valeur souhaitée, ils gardent très souvent en cache les informations récoltées, ce qui permet d'accélérer la réponse et d'éviter de surcharger les serveurs autoritaires.

## host

Pour résoudre des noms de domaines la commande privilégiée est la commande `host` :
```
benjamin@tiamat ~ $ host zamok.crans.org
zamok.crans.org has address 185.230.79.1
zamok.crans.org has IPv6 address 2a0c:700:2:0:ec4:7aff:fe59:a1ad
```

```
benjamin@tiamat ~ $ host crans.org
crans.org has address 185.230.79.10
crans.org has IPv6 address 2a0c:700:2::ff:fe01:4502
crans.org mail is handled by 10 redisdead.crans.org.
crans.org mail is handled by 15 sputnik.crans.org.
crans.org mail is handled by 25 freebox.crans.org.
```
